package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 校区查询结果
 * @Author: CaoZixuan
 * @Date: 2021-08-03
 */
public class BasicCampusResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "校区id")
    private Long id;

    @ApiModelProperty(value = "校区名称")
    private String campusName;

    @ApiModelProperty(value = "校区编码")
    private String campusCode;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "印刷室id")
    private Long printHouseId;

    @ApiModelProperty(value = "印刷室")
    private String printHouseName;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public Long getPrintHouseId() {
        return printHouseId;
    }

    public void setPrintHouseId(Long printHouseId) {
        this.printHouseId = printHouseId;
    }

    public String getPrintHouseName() {
        return printHouseName;
    }

    public void setPrintHouseName(String printHouseName) {
        this.printHouseName = printHouseName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }
}
